# $Revision: 1.47 $, $Date: 2006/08/22 15:06:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Template
Summary:	HTML::Template - Perl module to use HTML templates from CGI scripts
Summary(pl):	HTML::Template - modu Perla do obsugi szablonw HTML w skryptach CGI
Name:		perl-HTML-Template
Version:	2.8
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3f1d6f4b3ab3ef7f0fd8864d2ec56e59
URL:		http://html-template.sourceforge.net/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-IPC-SharedCache
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module attempts make using HTML templates simple and natural.

It extends standard HTML with a few new HTML-esque tags - <TMPL_VAR>,
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF> and <TMPL_ELSE>.  The file written
with HTML and these new tags is called a template.  It is usually saved
separate from your script - possibly even created by someone else!

Using this module you fill in the values for the variables, loops and
branches declared in the template.  This allows you to seperate design -
the HTML - from the data, which you generate in the Perl script.

%description -l pl
HTML::Template jest moduem pozwalajcym na wykorzystywanie szablonw
HTML (i nie tylko) w skryptach CGI (a take w dowolnym innym
oprogramowaniu przy tworzeniu ktrego zachodzi potrzeba rozdzielenia
programu od wygldu danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:TEST_SHARED_MEMORY=1 TEST_FILE_CACHE=1 %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/%{pdir}/%{pnam}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ANNOUNCE FAQ templates scripts
%{perl_vendorlib}/%{pdir}/*.pm
%dir %{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Template.spec,v $
Revision 1.47  2006/08/22 15:06:32  glen
- rel 1

Revision 1.46  2006/08/10 19:51:55  agaran
- up to 2.8, rel 0.1, builds here

Revision 1.45  2004/11/03 22:30:26  paladine
- formatting

Revision 1.44  2004/07/09 21:56:42  adamg
- updated to 2.7

Revision 1.43  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.42  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.41  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.40  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.39  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.38  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.37  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.36  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.35  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.34  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:41  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:33:21  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/08/31 18:04:30  radek
- version 2.6, new %doc, added conditional tests and URL field,
  provided informative summary/description
  STBR

Revision 1.26  2002/07/10 08:47:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:32:06  depesz
- cleanup; revision++

Revision 1.23  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/17 17:35:57  kloczek
- adapterized.

Revision 1.21  2002/02/17 17:12:47  depesz
- new version, STBR

Revision 1.20  2002/02/13 14:16:24  depesz
- automatic: Source location unfied, Relase Up

Revision 1.19  2002/02/10 15:27:21  depesz
- adapterized

Revision 1.18  2002/01/18 02:14:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.16  2001/09/02 17:10:20  kloczek
- updated to 2.4.

Revision 1.15  2001/06/29 16:27:41  mis
- autoupdated to 2.3

Revision 1.14  2001/04/17 12:10:36  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/02/11 18:23:12  depesz
- new version

Revision 1.11  2001/01/08 20:42:13  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/10/11 06:30:12  depesz
- najnowsze wersje.
